
SpecializationUtil.registerSpecialization("varioSpreadingWidth", "VarioSpreadingWidth", g_currentModDirectory.."VarioSpreadingWidth.lua")

VarioSpreadingWidth_Register = {};

function VarioSpreadingWidth_Register:loadMap(name)
	if self.firstRun == nil then
		self.firstRun = false;
		
		print("--- loading VarioSpreadingWidth - specialization by gotchTOM");	
		
		for k, v in pairs(VehicleTypeUtil.vehicleTypes) do
			if v ~= nil then
				if SpecializationUtil.hasSpecialization(Sprayer, v.specializations) and not SpecializationUtil.hasSpecialization(SowingMachine, v.specializations) then
					local allowVarioSpreadingWidthInsertion = true;
					local v_name_string = v.name 
					local point_location = string.find(v_name_string, ".", nil, true)
					if point_location ~= nil then
						local _name = string.sub(v_name_string, 1, point_location-1);
						if rawget(SpecializationUtil.specializations, string.format("%s.varioSpreadingWidth", _name)) ~= nil then
							allowVarioSpreadingWidthInsertion = false;
							-- print(tostring(v.name)..": Specialization varioSpreadingWidth is present! VarioSpreadingWidth was not inserted!");
						end;
						if rawget(SpecializationUtil.specializations, string.format("%s.VarioSpreadingWidth", _name)) ~= nil then
							allowVarioSpreadingWidthInsertion = false;
							-- print(tostring(v.name)..": Specialization VarioSpreadingWidth is present! VarioSpreadingWidth was not inserted!");
						end;
					end;
					if allowVarioSpreadingWidthInsertion then
						-- print("adding VarioSpreadingWidth to:"..tostring(v.name));
						table.insert(v.specializations, SpecializationUtil.getSpecialization("varioSpreadingWidth"));
					end;
				end;
			end;	
		end;
	end;
end;

function VarioSpreadingWidth_Register:deleteMap()
  
end;

function VarioSpreadingWidth_Register:keyEvent(unicode, sym, modifier, isDown)

end;

function VarioSpreadingWidth_Register:mouseEvent(posX, posY, isDown, isUp, button)

end;

function VarioSpreadingWidth_Register:update(dt)
	
end;

function VarioSpreadingWidth_Register:draw()
  
end;

addModEventListener(VarioSpreadingWidth_Register);